xserver-xorg-video-hwcomposer (0.3.9-1+git20230616153412.5ea39b3.bookworm) bookworm; urgency=medium

  * Replace Drone with CircleCI

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Fri, 16 Jun 2023 18:34:12 +0300

xserver-xorg-video-hwcomposer (0.3.9-1) bullseye; urgency=medium

  [ Eugenio Paolantonio (g7) ]
  * Switch to a non-native build
  * Added Drone CI configuration

  [ luka177 ]
  * Fix compilation

  [ boxuechen ]
  * Handle hwc2-vsync callback

  [ Erfan Abdi ]
  * PowerOn Primary display before validating

  [ Adam Boardman ]
  * Fix for screen backlight not being turned on when resumed by '...dpms force on', must set brightness after power mode
  * Tidyup - removed dead code and added some logging

  [ NeKit ]
  * Initial implementation of rendering through HWComposer
  * Use EGL_HYBRIS_native_buffer extension for sharing Xorg buffer with OpenGL and
  * Fix eglCreateImageKHR usage
  * Access EGL and OpenGL ES2 functions through Epoxy to avoid symbol conflicts
  * Move most of HWComposer and EGL initialization code to PreInit, since it needs
  * Pick up screen resolution from HWComposer display attributes
  * WIP glamor acceleration support
  * Support custom DRIHYBRIS extension if available
  * Fix usage flags for eglHybrisCreateNativeBuffer call
  * Load "glamoreglhybris" module instead of "glamoregl" to make sure
  * Include "glamor-hybris.h" from glamor-hybris fork instead of "glamor.h"
  * Remove unused vertexArray in renderer.c
  * Export EGL_PLATFORM for libhybris
  * Refactor based on xf86-video-modesetting and remove unused code
  * Fix gralloc-allocated buffer to use USAGE_SW_READ_OFTEN flag
  * Implement DPMS/screen blanking support
  * Add "Rotate" option as in fbdev driver with "CW" and "CCW" values
  * Init present extension even without glamor/drihybris
  * Implement "hardware" cursor support in OpenGL renderer
  * Redraw display by timer if there were changes instead of BlockHandler
  * Refactor renderer and shader loading code to make it cleaner
  * Fix includes in hwcomposer.c and renderer.c as the code was moved
  * Branch packaging for Gemian
  * Change source format to native
  * Enable glamor and drihybris support in configure options
  * Merge remote-tracking branch 'origin/master' into bionic
  * [WIP] Do OpenGL rendering in separate thread from Xorg
  * Use EGL_KHR_fence_sync for glamor/renderer EGL contexts sync
  * Utilize conditional variable for renderer to wait for updates
  * Wake up renderthread by redraw before closing screen so it can finish
  * Add glFlush() call to hwcBlockHandler()
  * Create separate shared context for renderer thread
  * Merge remote-tracking branch 'upstream/drihybris-no-glamor' into buster
  * [draft] Initial HWComposer 2 API support
  * Merge remote-tracking branch 'upstream/hwc2' into buster-hwc2
  * Close lastPresentFence before switching screen off with HWC2

  [ TheKit ]
  * Load drihybris before glamor-hybris
  * Support normal and upside-down hw display rotation
  * Don't redraw by timer when display is off
  * Initialize fake SurfaceFlinger from libminisf if present
  * Implement DRIHYBRIS support without glamor enabled
  * Don't redraw by timer when display is off

  [ Twaik Yont ]
  * Make the driver more bionic-friendly
  * Use HWC_DISPLAY_PRIMARY constant instead of number
  * Move hwc setPowerMode calls to separate function inside hwcomposer.c

  [ JBBgameich ]
  * Initial xserver-xorg-video-hwcomposer packaging based on xserver-xorg-video-dummy
  * Merge remote-tracking branch 'upstream/master'
  * debian: Add missing dependency on libepoxy-dev

  [ NotKit ]
  * Update README to match fork

  [ Antoine Martin ]
  * Increase the maximum framebuffer size to 32767x32767
  * Honor DacSpeed setting in xorg.conf
  * remove dead code in dummy driver
  * Support for 30 bit depth in dummy driver

  [ Aaron Plattner ]
  * Remove pointless empty functions
  * Delete XV stuff
  * Delete dPtr->screenSaver
  * Remove DGA support
  * Get rid of dPtr->FBBase
  * DUMMYGetRec: Fix misleading indentation

  [ Xiaolei Yu ]
  * fix a memory leak in probe

  [ Mihail Konev ]
  * autogen: add default patch prefix

  [ Emil Velikov ]
  * autogen.sh: use quoted string variables

  [ Peter Hutterer ]
  * Switch to using dixChangeWindowProperty
  * autogen.sh: use exec instead of waiting for configure to finish

  [ Emilio Pozuelo Monfort ]
  * Merge branch 'upstream-unstable' into debian-unstable
  * New upstream release
  * Bump debhelper compat to 10
  * Let debhelper call autoreconf for us
  * Let debhelper pass --disable-silent-rules
  * Add upstream keys to verify tarballs
  * Set libdir to /usr/lib
  * Bump Standards-Version
  * Switch URLs to https
  * Release to unstable

  [ Julien Cristau ]
  * For each driver, add a symlink to xserver-xorg-core's bug script, so that each
  * Add new "serverabi" rule to generate drivers dependency on the server.
  * Fix copy/paste typo in the input driver provides.
  * xsfbs.mk: make 'serverabi' depend on 'install'
  * Merge git.debian.org:/git/pkg-xorg/xsfbs into debian-experimental
  * Merge tag 'xf86-video-dummy-0.3.0' into debian-experimental
  * autoreconf
  * Update changelogs.
  * debian/control updates
  * Remove xsfbs-autoreconf.mk
  * Remove the .pc directory properly
  * xsfbs.sh: add remove_conffile_lookup
  * xsfbs.sh: use 'local' now that policy allows it
  * Revert to building against xserver 1.4
  * Merge git.debian.org:/git/pkg-xorg/xsfbs into debian-unstable
  * Switch to debhelper compat 5.
  * Add myself to Uploaders.
  * Don't try to install a nonexistent manpage
  * Run dpkg-shlibdeps with --warnings=6.
  * Prepare changelog for upload
  * xsfbs.mk: fix the prepare target for parallel make
  * xsfbs.mk: more parallel make fixing
  * xsfbs.mk: update the list of releases, and drop some unused code
  * xsfbs.mk: make 'log' a separate target
  * Merge git.debian.org:/git/pkg-xorg/xsfbs into debian-experimental
  * Build against xserver 1.5.
  * dummy 0.3.1
  * Merge tag 'xf86-video-dummy-0.3.1' into debian-experimental
  * update changelogs for new upstream
  * debian/control: wrap the Build-Depends field
  * Run autoreconf on build and handle parallel builds.
  * Build against xserver 1.6 rc1.
  * delete generated files
  * Prepare changelog for upload
  * xsfbs: add a repack script for uscan
  * xsfbs.sh: kill {,de}register_x_lib_dir_with_ld_so
  * xsfbs: repack.sh needs to be executable
  * Merge branch 'debian-unstable' of git.debian.org:/git/pkg-xorg/xsfbs into debian-unstable
  * Upload to unstable.
  * xsfbs: don't run dpkg --print-installation-architecture
  * Kill custom readlink function
  * xsfbs.sh: remove unused check_symlinks_and_{bomb,warn}
  * xsfbs.sh: remove unused analyze_path
  * xsfbs.sh: remove unused maplink function
  * xsfbs.sh: remove unused find_culprits function
  * xsfbs.sh: remove unused reject_whitespace function
  * xsfbs.mk: no need for shlibs.local
  * xsfbs.sh: fix typo and remove svn keyword
  * xsfbs.mk: kill obsolete DEFAULT_DCRESOLUTIONS and SOURCE_DIR usage
  * xsfbs.mk: remove more obsolete code
  * Rename the build directory to not include DEB_BUILD_GNU_TYPE for no good reason.  Thanks, Colin Watson!
  * Remove myself from Uploaders
  * Merge remote branch 'origin/debian-experimental' into debian-unstable
  * xsfbs.mk: don't use a directory as a make target
  * Update serverabi rule for xserver 1.7.6.901
  * Merge branch 'debian-unstable' of git.debian.org:/git/pkg-xorg/xsfbs into debian-unstable
  * Update xsfbs, use new ${xviddriver:Depends} substvar.
  * Prepare changelog for upload
  * Bump to 0.3.7
  * Disable silent build rules.
  * Upload to unstable
  * configure: require xorg-server 1.4.99.901
  * xf86-video-dummy 0.3.8

  [ Alan Coopersmith ]
  * Add README with pointers to mailing list, bugzilla & git repos
  * configure: Drop AM_MAINTAINER_MODE
  * autogen.sh: Honor NOCONFIGURE=1

  [ Michele Cane ]
  * Merge branch 'debian-experimental' into debian-unstable
  * Bump Standards-Version to 3.9.4, no changes needed.
  * Merge branch 'upstream-unstable' into debian-unstable
  * Bump changelogs.

  [ Adam Jackson ]
  * Death to RCS tags.
  * dummy 0.3.0
  * Uninclude xf86Version.h
  * Remove useless loader symbol lists.
  * dummy 0.3.2
  * Properly un/rewrap CreateWindow
  * Add support for HW_SKIP_CONSOLE
  * Compile fix.
  * Canonically re-wrap too.
  * Don't try to make an INSTALL file
  * dummy 0.3.3
  * Fix DGA includes
  * Port away from xalloc/xfree
  * Remove mibstore.h

  [ Maarten Lankhorst ]
  * Merge branch 'debian-unstable' into debian-experimental
  * Merge tag 'xf86-video-dummy-0.3.6' into debian-experimental
  * Bump changelog
  * New upstream release.
  * Bump Standards-Version to 3.9.3 (no changes needed)

  [ Dave Airlie ]
  * dummy 0.3.4
  * dummy: add scrn conversion api compat header.
  * dummy: convert to new scrn conversion APIs.
  * dummy: convert to the new server APIs.
  * dummy: bump to 0.3.6 for release

  [ Yaakov Selkowitz ]
  * Only include Xv headers if server supports it
  * Add XORG_LIBS to LIBADD

  [ Cyril Brulebois ]
  * Upload to experimental.
  * Fix typo.
  * Merge commit 'xf86-video-dummy-0.3.3' into debian-unstable
  * New upstream release: 0.3.3
  * Update ChangeLog (and remove it from .gitignore).
  * Add myself to Uploaders.
  * Upload to unstable.
  * Add xorg-driver-{video,input} to Provides.
  * Build against Xserver 1.9.1 rc1.
  * Upload to experimental.
  * Mention upstream git URL in a comment.
  * Switch to dh.
  * Remove xsfbs accordingly.
  * Update Uploaders list. Thanks, David & Brice!
  * Remove long obsolete Replaces/Conflicts.
  * Wrap Depends/Provides.
  * Merge branch 'debian-experimental' into debian-unstable
  * Add quilt build-dep for future use.
  * Fix sequence ordering.
  * Add a placeholding series file.
  * Upload to unstable
  * dummy 0.3.5
  * Merge branch 'upstream-unstable' into debian-unstable
  * Bump changelogs.
  * Disable DGA support, it has been dead for a while.
  * Upload to unstable.
  * Build against Xserver 1.12 RC1.
  * Upload to experimental.
  * Merge branch 'upstream-unstable' into debian-unstable
  * Bump changelogs.
  * Upload to unstable with “high” urgency.

  [ Jeremy Huddleston ]
  * Dummy drivers don't need PCI.
  * Use malloc/free instead of deprecated X versions
  * Add a configure option to disable dga
  * Don't use XFreeXDGA to determine DGA support

  [ Christopher James Halse Rogers ]
  * Merge branch 'upstream-experimental' into debian-experimental
  * Changelog entry for 0.3.4

  [ Gaetan Nadon ]
  * .gitignore: use common defaults with custom section # 24239
  * .gitignore: use common defaults with custom section # 24239
  * Several driver modules do not have a ChangeLog target in Makefile.am #23814
  * INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
  * INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
  * Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
  * configure.ac: sdkdir usage duplicates the sdk include dir
  * config: remove unused variable XORG_INCS
  * config: remove unused INCLUDES='-I$(top_srcdir)/src'
  * config: remove unrequired '-I$(top_srcdir)/src'
  * config: move compiler flags from configure.ac to Makefile.am
  * COPYING: replace stub file with actual Copyright notice
  * config: update AC_PREREQ statement to 2.60
  * config: remove AC_PROG_CC as it overrides AC_PROG_C_C99
  * config: remove unrequired AC_HEADER_STDC
  * config: complete AC_INIT m4 quoting
  * config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
  * config: replace deprecated use of AC_OUTPUT with AC_CONFIG_FILES
  * config: add comments for main statements

  [ Jamey Sharp ]
  * Use new server API to find the root window.

  [ Mikhail Gusarov ]
  * Remove duplicate xorg.fd.o URL and confusing mailing list URL from debian/control

  [ Michael Olbrich ]
  * configure.ac: remove wrong include path. #24675

  [ Timo Aaltonen ]
  * Replaces/Conflicts: xserver-xorg-driver-dummy.
  * Merge branch 'debian-unstable' of ../../xsfbs into debian-unstable
  * Merge commit 'xf86-video-dummy-0.3.2' into debian-unstable
  * Update the changelogs.
  * Bump Standards-Version to 3.8.3.
  * Build against Xserver 1.7.

  [ David Nusinow ]
  * Move xsfbs back to its rightful place
  * Make us error out if we call patch and don't have quilt installed
  * Fix the last commit and fix spelling error. Thanks Brice Goglin for the spelling catch.
  * Fix for bug #371152. Thanks Joey Hess.
  * Pull patches from ubuntu for ARCHITECTURE, LAPTOP, RECONFIGURE, FIRSTINST, and UPGRADE variables
  * Prepare changelog for upload to unstable
  * Move the files so they'll be put in debian/xsfbs automatically when pulled
  * Prepare drivers for use with xserver 1.2, which has a new ABI (version 1.1)
  * Merge branch 'upstream-experimental' into debian-experimental
  * Note merge from upstream in changelog
  * Merge branch 'xsfbs' into debian-experimental
  * Merge branch 'xsfbs' into debian-unstable
  * Merge branch 'xsfbs-unstable' into debian-experimental
  * Generate server dependencies automatically from the ABI
  * Update serverabi generation to also account for driver Provides
  * Generate Provides line automatically
  * Merge branch 'debian-unstable' of git+ssh://dnusinow@alioth.debian.org/git/pkg-xorg/xsfbs into debian-experimental
  * Fix name of serverminver
  * Merge branch 'xsfbs-unstable' into debian-experimental
  * Add support for X server input ABI versioning
  * Fix typo that prevented the input abi versioning from working.
  * Merge branch 'xsfbs-unstable' into debian-experimental
  * Autoreconf
  * Fix one missed bit from the serverabiver -> serverminver rename
  * Merge branch 'xsfbs-unstable' into debian-experimental
  * * Upload to unstable
  * Remove make-orig-tar-gz target
  * Kill the manifest code.
  * Add README.source

  [ Brice Goglin ]
  * Merge debian-experimental branch into debian-unstable
  * Merge ../../../xsfbs/xsfbs into debian-unstable
  * Miscellaneous fixed in debian/control and debian/rules.
  * Fix displaying of patches applied by quilt.
  * Minor fixes in the patching system.
  * Fix "display the output of quilt push/pop".
  * Define DUMMY_*_VERSION* using PACKAGE_VERSION_*
  * Do not call laptop-detect, let the only user call it directly
  * Add the upstream URL to debian/copyright
  * Build against Xserver 1.4
  * Prepare changelog for upload
  * Update xsfbs/quilt patching rules to be compatible with the

  [ James Cloos ]
  * Rename .cvsignore to .gitignore
  * Add *~ to .gitignore to skip patch/emacs droppings

  [ Branden Robinson ]
  * Set svn:keywords property to "Id" (keyword already present).
  * Note probable out-of-dateness of maplink() function body.
  * Add high-level documentation to XSFBS shell library, intended to reduce
  * Test for existence of debian/patches directory before creating a symlink to it.

  [ Thierry Reding ]
  * Add some more watch files.

  [ Steve Langasek ]
  * more fixes for unversioned directory names
  * merge dummy 7.1 video driver to trunk for upload to unstable

 -- Eugenio Paolantonio (g7) <me@medesimo.eu>  Thu, 16 Sep 2021 23:15:21 +0418

